X2Go Bug report logs - #1359
Tooltips, pull-down menus, and context menus too far away

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Tristan Miller <psychonaut@nothingisreal.com>

Date: Wed, 9 Jan 2019 12:45:01 UTC

Severity: normal

Found in version 4.1.1.1

Done: Tristan Miller <psychonaut@nothingisreal.com>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.507 (Entity 5.507)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
To: Tristan Miller <psychonaut@nothingisreal.com>
Subject: Bug#1359: marked as done (Tooltips, pull-down menus,  and context
 menus too far away)
Message-ID: <handler.1359.D1359.154903242132364.ackdone@bugs.x2go.org>
References: <20190201153926.59822fe1.psychonaut@nothingisreal.com>
 <20190109134222.08c257f3.psychonaut@nothingisreal.com>
X-X2go-PR-Message: closed 1359
X-X2go-PR-Package: x2goclient
Date: Fri, 01 Feb 2019 14:50:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1549032602-683-0"
[Message part 1 (text/plain, inline)]
Your message dated Fri, 1 Feb 2019 15:39:26 +0100
with message-id <20190201153926.59822fe1.psychonaut@nothingisreal.com>
and subject line Re: [X2Go-Dev] Bug#1359: Tooltips, pull-down menus, and context menus too far away
has caused the X2Go Bug report #1359,
regarding Tooltips, pull-down menus,  and context menus too far away
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.x2go.org
immediately.)


-- 
1359: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1359
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Tristan Miller <psychonaut@nothingisreal.com>
To: submit@bugs.x2go.org
Subject: Tooltips, pull-down menus, and context menus too far away
Date: Wed, 9 Jan 2019 13:42:22 +0100
[Message part 3 (text/plain, inline)]
Package: x2goclient
Version: 4.1.1.1

I've recently started experiencing a problem when running single
applications over X2Go.  Quite often small windows such as tooltips,
pull-down menus, and context menus get positioned far, far away from
where they are supposed to be.  For example, I'm currently writing this
message in Claws Mail; when I activate the "Edit" pull-down menu, the
menu doesn't appear under the menu bar but rather way over on my second
screen.  (I use a dual-monitor setup.)

The problem happens with a lot of different applications, but not
always consistently.  For instance, sometimes I might hover my pointer
over a widget that causes a tooltip to display halfway across the
screen, and a minute or two later I'll do the same thing but this time
the tooltip will display right over the widget like it's supposed to.

I'm not sure if this is a bug in X2Go or in my window manager, and if
it is in X2Go, whether its the client or server that's at fault.  I'm
running the X2Go Server 4.1.0.4 on openSUSE Tumbleweed, and connecting
from X2Go Client 4.1.1.1 on openSUSE Leap 15.0, using KDE Plasma
5.12.6.  (I can't upgrade the client due to Bug #1358.)
[Message part 4 (application/pgp-signature, inline)]
[Message part 5 (message/rfc822, inline)]
From: Tristan Miller <psychonaut@nothingisreal.com>
To: 1359-done@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1359: Tooltips, pull-down menus, and context menus too far away
Date: Fri, 1 Feb 2019 15:39:26 +0100
[Message part 6 (text/plain, inline)]
Greetings.

On Wed, 9 Jan 2019 14:32:23 +0100, Ulrich Sibiller
<ulrich.sibiller@gmail.com> wrote:
> Cloned that into an nx-libs issue:
> https://github.com/ArcticaProject/nx-libs/issues/757

A fix for that nx-libs issue has been applied, which solves the
problem described in this report. So this bug can be closed.

Regards,
Tristan

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
                  Tristan Miller
Free Software developer, ferret herder, logologist
             https://logological.org/
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
[Message part 7 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon May 27 10:13:12 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.